package Test::Schema::Advertiser;

use strict;
use warnings;

use base 'DBIx::Class';

__PACKAGE__->load_components("Core");
__PACKAGE__->table("Advertiser");
__PACKAGE__->add_columns(
    'id' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0
    },
    'title' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 0,
    },
    'name' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 1,
    },
    'email' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 1,
    },
    'username' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 1,
    },
    'password' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 1
    },
);
__PACKAGE__->set_primary_key("id");

__PACKAGE__->add_unique_constraint(
    'username' => [qw/ username /] );


1;

