package Test::Schema::Line;

use strict;
use warnings;

use base 'DBIx::Class';

__PACKAGE__->load_components(qw/Core/);
__PACKAGE__->table("Line");
__PACKAGE__->add_columns(
    'id' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0
    },
    'title' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 0,
    },
    'type' => {
        data_type => 'enum',
        is_nullable => 0,
        extra => { list => [qw/ sitePixel adAdriver /] }
    },
    'mediaplanId' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0
    },
    'startDate' => {
        data_type => 'date',
        is_nullable => 0,
    },
    'stopDate' => {
        data_type => 'date',
        is_nullable => 1,
    },
);
__PACKAGE__->set_primary_key("id");

__PACKAGE__->belongs_to(
    'mediaplan' => 'Test::Schema::Mediaplan',
    { 'foreign.id' => 'self.mediaplanId' },
    { cascade_delete => 0, join_type => 'inner' }
);


1;
