package Test::Schema::Mediaplan;

use strict;
use warnings;

use base 'DBIx::Class';

__PACKAGE__->load_components("Core");
__PACKAGE__->table("Mediaplan");
__PACKAGE__->add_columns(
    'id' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0
    },
    'title' => {
        data_type => 'varchar',
        size => 255,
        is_nullable => 0,
    },
    'advertiserId' => {
        data_type => 'varchar',
        size => 36,
        is_nullable => 0
    },
);
__PACKAGE__->set_primary_key("id");

__PACKAGE__->has_many(
    'lns' => 'Test::Schema::Line',
    { 'foreign.mediaplanId' => 'self.id' },
    { join_type => 'left' } );

__PACKAGE__->belongs_to(
    'advertiser' => 'Test::Schema::Advertiser',
    { 'foreign.id' => 'self.advertiserId' },
    { cascade_delete => 0, join_type => 'inner' } );


1;

